use surrealdb::opt::PatchOp;

use crate::{
    models::{Record, ServerConfiguration},
    types::DB,
};

pub struct BackupServerService {
    db: DB,
}

impl BackupServerService {
    pub fn new(db: DB) -> Self {
        Self { db }
    }
    pub async fn mark_data_as_processed(&self, conf: &ServerConfiguration) {
        println!("Updating status on item id:{:?}", conf.id);
        let updated: Option<Record> = self
            .db
            .update(&conf.id)
            .patch(PatchOp::replace("/state/now", "processed"))
            .await
            .unwrap();
        dbg!(updated);
    }

    pub async fn spawn_restic_container(&self, path: String) {
        println!("[fake] Spawning container for path {:?}", path);
    }
    pub async fn add_proxy_configuration(&self, path: String) {
        println!("[fake] Creating caddy configuration {:?}", path);
    }
}
